Expressive Service

Expressive Service Desk

Open Source Customer Support

Ticket & Management

Expressive Service Screenshot

Lightning Fast

Expressive Service Desk requires a minimum of PHP 7.2 which includes important security improvements, performance enhancements and exciting new features.

PHP 5.6 & 7.0 are no longer being actively developed, and support for 7.1 ends in December.

On average PHP 7.2 delivers a 4x performance increase on that of previous versions.

Secure

Encryption in Expressive Service Desk is provided by Libsodium (new to PHP 7.2). Libsodium is a modern easy-to-use software library for encryption, decryption, password hashing and more.

For security reasons, it is recommended the database is hosted on a separate server to the front end.

High Quality

Coding standards are important in any development project, but they are particularly important when developers are working on the same project. Coding standards help to ensure the code is high quality, has fewer bugs and can easily be maintained.

Expressive Service Desk is written using Zend Expressive as the back-end, as such we have chosen to go with Zend Coding Standards, PHP CodeSniffer and PHPStan for development.

Expressive Service is still under development

We are currently testing everything works so far, source is pending release on Github. The release date is expected January 2019.

Expressive Service Desk
Expressive Service Desk
Expressive Service Desk
Expressive Service Desk
Expressive Service Desk
Expressive Service Desk
Expressive Service Desk
Expressive Service Desk
Expressive Service Desk
Expressive Service Desk
Expressive Service Desk
Expressive Service Desk